Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletURLImpl.InternalActionURL

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletURLImpl.InternalPortletURL
          org.jboss.portal.portlet.impl.jsr168.api.PortletURLImpl.InternalActionURL

All Implemented Interfaces:
  ActionURL, PortletURL

Enclosing class:
  PortletURLImpl

    public static class PortletURLImpl.InternalActionURL

extends PortletURLImpl.InternalPortletURL
implements ActionURL

Constructor Summary
`PortletURLImpl.InternalActionURL()`

Method Summary
`StateString` | `getInteractionState()` Return the interaction state.
`protected PortletParameters` | `getInternalParameters()`
`StateString` | `getNavigationalState()` The portlet container does not need to have the navigational state provided.

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletURLImpl.InternalPortletURL
`getMode, getWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.PortletURL
`getMode, getWindowState`

Constructor Detail

### PortletURLImpl.InternalActionURL

    public PortletURLImpl.InternalActionURL()

Method Detail

### getInternalParameters

    protected PortletParameters getInternalParameters()

  Specified by:
    `getInternalParameters` in class `PortletURLImpl.InternalPortletURL`

### getInteractionState

    public StateString getInteractionState()

  Description copied from interface: `ActionURL`
  Return the interaction state.

  Specified by:
    `getInteractionState` in interface `ActionURL`
  Returns:
    the interaction state

### getNavigationalState

    public StateString getNavigationalState()

  The portlet container does not need to have the navigational state provided.

  Specified by:
    `getNavigationalState` in interface `ActionURL`
  Returns:
    the navigational state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD